package com.ruoyi.system.domain.publicservice;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;


/**
 * 公共服务 我发现表
 * @author wujm<wujm@eazytec.com>
 */
public class TPublicServiceIfind implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	/**
	 * 新闻ID
	 */
	private Long findId;
	
	/**
	 * 姓名
	 */
	private String finderName;
	
	/**
	 * 联系方式
	 */
	private String finderPhone;
	
	/**
	 * 编号
	 */
	private String findCode;
	
	/**
	 * 所属区域
	 */
	private String belongArea;
	
	/**
	 * 详细地址
	 */
	private String address;
	
	/**
	 * 事件描述
	 */
	private String findDesc;
	
	/**
	 * 采纳结果 0未审核、1已采纳、2未采纳、3处理中、4已完结
	 */
	private String findResult;
	
	/**
	 * 是否转工单 0未转 1转工单
	 */
	private String genTask;
	
	/**
	 * 是否匿名 0不匿名 1匿名
	 */
	private String checkAnonymous;
	
	/**
	 * 创建人
	 */
	private String createBy;
	
	/**
	 * 创建时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;
	
	/**
	 * 修改人
	 */
	private String updateBy;
	
	/**
	 * 修改时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date updateTime;

	
	/**
	 * 是否有效1 有效 0 无效
	 */
	private Integer valid;
	
	/**
	 * 工单id
	 */
	private String projectId;
	
	/**
	 * 工单名称
	 */
	private String projectName;
	
	/**
	 * 工单处理意见
	 */
	private String projectAdvise;
	
	/**
	 * 工单状态
	 */
	private String projectStatus;

	private List<TOtherappAttachment> attachmentList;

	/**
	 * 经度
	 */
	private String longitude;

	/**
	 * 纬度
	 */
	private String latitude;

	private String belongYear;

	public String getBelongYear() {
		return belongYear;
	}

	public void setBelongYear(String belongYear) {
		this.belongYear = belongYear;
	}

	public List<TOtherappAttachment> getAttachmentList() {
		return attachmentList;
	}

	public void setAttachmentList(List<TOtherappAttachment> attachmentList) {
		this.attachmentList = attachmentList;
	}

	public TPublicServiceIfind() {
		super();
	}

	public String getLongitude() {
		return longitude;
	}

	public void setLongitude(String longitude) {
		this.longitude = longitude;
	}

	public String getLatitude() {
		return latitude;
	}

	public void setLatitude(String latitude) {
		this.latitude = latitude;
	}

	/**
     * setter for findId
     * @param findId
     */
	public void setFindId(Long findId) {
		this.findId = findId;
	}

    /**
     * getter for findId
     */
	public Long getFindId() {
		return findId;
	}
	
    /**
     * setter for finderName
     * @param finderName
     */
	public void setFinderName(String finderName) {
		this.finderName = finderName;
	}

    /**
     * getter for finderName
     */
	public String getFinderName() {
		return finderName;
	}
	
    /**
     * setter for finderPhone
     * @param finderPhone
     */
	public void setFinderPhone(String finderPhone) {
		this.finderPhone = finderPhone;
	}

    /**
     * getter for finderPhone
     */
	public String getFinderPhone() {
		return finderPhone;
	}
	
    /**
     * setter for findCode
     * @param findCode
     */
	public void setFindCode(String findCode) {
		this.findCode = findCode;
	}

    /**
     * getter for findCode
     */
	public String getFindCode() {
		return findCode;
	}
	
    /**
     * setter for belongArea
     * @param belongArea
     */
	public void setBelongArea(String belongArea) {
		this.belongArea = belongArea;
	}

    /**
     * getter for belongArea
     */
	public String getBelongArea() {
		return belongArea;
	}
	
    /**
     * setter for address
     * @param address
     */
	public void setAddress(String address) {
		this.address = address;
	}

    /**
     * getter for address
     */
	public String getAddress() {
		return address;
	}
	
    /**
     * setter for findDesc
     * @param findDesc
     */
	public void setFindDesc(String findDesc) {
		this.findDesc = findDesc;
	}

    /**
     * getter for findDesc
     */
	public String getFindDesc() {
		return findDesc;
	}
	
    /**
     * setter for findResult
     * @param findResult
     */
	public void setFindResult(String findResult) {
		this.findResult = findResult;
	}

    /**
     * getter for findResult
     */
	public String getFindResult() {
		return findResult;
	}
	
    /**
     * setter for genTask
     * @param genTask
     */
	public void setGenTask(String genTask) {
		this.genTask = genTask;
	}

    /**
     * getter for genTask
     */
	public String getGenTask() {
		return genTask;
	}
	
    /**
     * setter for checkAnonymous
     * @param checkAnonymous
     */
	public void setCheckAnonymous(String checkAnonymous) {
		this.checkAnonymous = checkAnonymous;
	}

    /**
     * getter for checkAnonymous
     */
	public String getCheckAnonymous() {
		return checkAnonymous;
	}
	
    /**
     * setter for createBy
     * @param createBy
     */
	public void setCreateBy(String createBy) {
		this.createBy = createBy;
	}

    /**
     * getter for createBy
     */
	public String getCreateBy() {
		return createBy;
	}
	
    /**
     * setter for createTime
     * @param createTime
     */
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

    /**
     * getter for createTime
     */
	public Date getCreateTime() {
		return createTime;
	}

	public String getUpdateBy() {
		return updateBy;
	}

	public void setUpdateBy(String updateBy) {
		this.updateBy = updateBy;
	}

	/**
     * setter for updateTime
     * @param updateTime
     */
	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

    /**
     * getter for updateTime
     */
	public Date getUpdateTime() {
		return updateTime;
	}
	
    /**
     * setter for valid
     * @param valid
     */
	public void setValid(Integer valid) {
		this.valid = valid;
	}

    /**
     * getter for valid
     */
	public Integer getValid() {
		return valid;
	}
	
    /**
     * setter for projectId
     * @param projectId
     */
	public void setProjectId(String projectId) {
		this.projectId = projectId;
	}

    /**
     * getter for projectId
     */
	public String getProjectId() {
		return projectId;
	}
	
    /**
     * setter for projectName
     * @param projectName
     */
	public void setProjectName(String projectName) {
		this.projectName = projectName;
	}

    /**
     * getter for projectName
     */
	public String getProjectName() {
		return projectName;
	}
	
    /**
     * setter for projectAdvise
     * @param projectAdvise
     */
	public void setProjectAdvise(String projectAdvise) {
		this.projectAdvise = projectAdvise;
	}

    /**
     * getter for projectAdvise
     */
	public String getProjectAdvise() {
		return projectAdvise;
	}
	
    /**
     * setter for projectStatus
     * @param projectStatus
     */
	public void setProjectStatus(String projectStatus) {
		this.projectStatus = projectStatus;
	}

    /**
     * getter for projectStatus
     */
	public String getProjectStatus() {
		return projectStatus;
	}
	
}
